## xdoclet.modules.jdo
Class JdoTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.jdo.JdoTagsHandler

public class JdoTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.10 $
Author:
  Ludovic Claude (ludovicc@users.sourceforge.net), David Jencks (d_jencks@users.sourceforge.net)
xdoclet.taghandler
  namespace="Jdo"
created
  June 11, 20012

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`JdoTagsHandler()`

Method Summary
`void` `forAllClassesInPackage(String template, Properties attributes)` The `forAllClassesInPackage` method iterates through all the classes in the current package.
`void` `forAllPackages(String template, Properties attributes)` The `forAllPackages` iterates through all packages, and generates the template if the jdo.persistence-capable tag is present in at least one class in the package.
`void` `forAllVendorExtensions(String template, Properties attributes)` Generates the tag body for each vendor extension at the specified level.
`protected void` `setCurrentVendorExtension(xdoclet.modules.jdo.VendorExtension vendorExtension)`
`String` `vendorExtension(Properties attributes)` Generates the extension element for the current vendor extension.

Methods inherited from class xdoclet.XDocletTagSupport

`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdoTagsHandler

    public JdoTagsHandler()

Method Detail

### forAllPackages

    public void forAllPackages(String template,
                               Properties attributes)
                        throws XDocletException

  The `forAllPackages` iterates through all packages, and generates the template if the jdo.persistence-capable tag is present in at least one class in the package.

  Parameters:
    `template` - a `String` value
    `attributes` - a `Properties` value
  Throws:
    `XDocletException` - if an error occurs

### forAllClassesInPackage

    public void forAllClassesInPackage(String template,
                                       Properties attributes)
                                throws XDocletException

  The `forAllClassesInPackage` method iterates through all the classes in the current package.

  Parameters:
    `template` - a `String` value
    `attributes` - a `Properties` value
  Throws:
    `XDocletException` - if an error occurs

### forAllVendorExtensions

    public void forAllVendorExtensions(String template,
                                       Properties attributes)
                                throws XDocletException

  Generates the tag body for each vendor extension at the specified level.

  Parameters:
    `attributes` -
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"
  doc.param
    name="level" optional="false" values="class,field,collection,array,map" description="The level to generate the extension tags for."

### vendorExtension

    public String vendorExtension(Properties attributes)

  Generates the extension element for the current vendor extension.

  Parameters:
    `attributes` -
  Returns:
    Current <extension> element.
  doc.tag
    type="content"

### setCurrentVendorExtension

    protected void setCurrentVendorExtension(xdoclet.modules.jdo.VendorExtension vendorExtension)

http://xdoclet.sourceforge.net/